.h1, h1 {
    font-size: @font-size-h1;
    font-weight: @headings-font-weight-black;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h1-mobile;
    }
}

.h2, h2 {
    font-size: @font-size-h2;
    font-weight: @headings-font-weight-black;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h2-mobile;
    }
}

.h3, h3 {
    font-size: @font-size-h3;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h3-mobile;
    }
}

.h4, h4 {
    font-size: @font-size-h4;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h4-mobile;
    }
}

.h5, h5 {
    font-size: @font-size-h5;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h5-mobile;
    }
}

.h6, h6 {
    font-size: @font-size-h6;

    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h6-mobile;
    }
}

.h1, h1,
.h2, h2,
.h3, h3,
.h4, h4,
.h5, h5,
.h6, h6 {
    text-transform: uppercase;
    letter-spacing: @headings-letter-spacing;

    span,
    small {
        font-weight: 300;
    }
}

h2.heading-lg,
.h2.heading-lg {
    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h2;
    }

    @media (min-width: @screen-md-min) {
        font-size: 50px;
    }

    @media (min-width: @screen-lg-min) {
        font-size: 65px;
    }
}

h1.heading-lg,
.h1.heading-lg {
    @media (max-width: @screen-xs-max) {
        font-size: @font-size-h1;
    }

    @media (min-width: @screen-md-min) {
        font-size: 75px;
    }

    @media (min-width: @screen-lg-min) {
        font-size: 100px;
    }
}

.text-underline {
    text-decoration: underline;
}

.help-block {
    color: @text-muted;
    font-size: @font-size-small;
}
